on startMovie
  global gProjWinName, gStageWidth, gStageHeight, gStageRect, gStageCenter, gScreenNum, gPrevMill, pGovTicks, gNextScreen, gMenuNum, oDrawStage, oWallObjs, oOrbitCenter, oOrbitNodes, oRollText, oExitButton, oBackButton, oStaticGlows, oTextAnim, oMusicButton, oVolBg, oVolMeter, iCopyLayer, iBgLayer, iBlack, iBlackMask, gBioNavNum, gNextBioNum, gBlurState, gSubNavState, gBioPoints, gBioLetters, pColorVal, iLetters, iLettersMask, oBioNavCenter, oBioNavNodes, oLetterSparks, oLetters
  dosSetFrontWindow(gProjWinName)
  gStageWidth = 800
  gStageHeight = 460
  gStageRect = rect(0, 0, gStageWidth, gStageHeight)
  gStageCenter = point(gStageWidth / 2, gStageHeight / 2)
  gScreenNum = integer(line 1 of field "screenNum")
  gPrevMill = the milliSeconds
  pGovTicks = 0
  gNextScreen = EMPTY
  gMenuNum = EMPTY
  oDrawStage = new(script("parent_drawStage"))
  oWallObjs = []
  oOrbitCenter = EMPTY
  oOrbitNodes = []
  oRollText = EMPTY
  oExitButton = EMPTY
  oBackButton = EMPTY
  oStaticGlows = []
  oTextAnim = []
  oMusicButton = EMPTY
  oVolBg = EMPTY
  oVolMeter = EMPTY
  create_oOrbitCenter()
  create_oOrbitNodes()
  create_oExitButton()
  create_oBackButton()
  create_oTextAnim()
  create_oVolBg()
  create_oVolMeter()
  iCopyLayer = image(gStageWidth, gStageHeight, 24)
  iCopyLayer.fill(gStageRect, rgb(0, 0, 0))
  iBgLayer = member("bg_bio").image.duplicate()
  iBlack = image(gStageWidth, gStageHeight, 24)
  iBlack.fill(gStageRect, rgb(0, 0, 0))
  iBlackMask = image(gStageWidth, gStageHeight, 24)
  iBlackMask.fill(gStageRect, rgb(0, 0, 0))
  set the mouseUpScript to "theMouseUp"
  set the keyDownScript to "theKeyDown"
  setUpAudio()
  the timeOutList = []
  gBioNavNum = EMPTY
  gNextBioNum = EMPTY
  gBlurState = 1
  gSubNavState = 0
  gBioPoints = EMPTY
  gBioLetters = EMPTY
  pColorVal = 100
  iLetters = member("bg_bio").image.duplicate()
  iLettersMask = image(gStageWidth, gStageHeight, 24)
  iLettersMask.fill(gStageRect, rgb(255, 255, 255))
  oBioNavCenter = EMPTY
  oBioNavNodes = []
  oLetterSparks = []
  oLetters = []
  create_oBioNavCenter()
  create_oBioNavNodes()
  gBioPoints = "to_points1"
  gBioLetters = "to_letters1"
  timeout("typeFlag").new(3000, #initTextTO)
end

on initTextVars
  global gTextLine1, gTextCoords1, gBioPoints, gBioLetters
  gTextLine1 = []
  repeat with i = 1 to the number of items in field gBioLetters
    gTextLine1.add(item i of field gBioLetters)
  end repeat
  gTextCoords1 = []
  itemDelimiter = ";"
  repeat with i = 1 to the number of lines in field gBioPoints
    gTextCoords1.add(value(line i of field gBioPoints))
  end repeat
end

on initTextTO
  global gTextLine1, gTextCoords1, gBioPoints, gBioLetters, gSubNavState
  sound(1).play(member("timeout1"))
  gTextLine1 = []
  repeat with i = 1 to the number of items in field gBioLetters
    gTextLine1.add(item i of field gBioLetters)
  end repeat
  gTextCoords1 = []
  itemDelimiter = ";"
  repeat with i = 1 to the number of lines in field gBioPoints
    gTextCoords1.add(value(line i of field gBioPoints))
  end repeat
  gSubNavState = 1
  timeout("typeFlag").forget()
end
