global oDrawStage, oOrbitCenter, oOrbitNodes, oOrbitButtons, oRollText, oExitButton, oBackButton, oBioNavNodes, oBioNavCenter, oLetters, gPrevMouseLoc, oLetterSparks, oTextAnim, gSubNavState, gPrevMill, pGovTicks, gFPS, oMusicButton, wMusic, gCloseWinFlag, oVolMeter

on exitFrame me
  gFPS = float(1000) / float(the milliSeconds - gPrevMill)
  gPrevMill = the milliSeconds
  repeat with i = 1 to count(oOrbitNodes)
    moveNodes(oOrbitNodes[i])
  end repeat
  repeat with i = 1 to count(oBioNavNodes)
    moveNavButtons(oBioNavNodes[i])
  end repeat
  if (oOrbitCenter <> EMPTY) and (oOrbitCenter <> VOID) then
    moveOrbitCenter(oOrbitCenter)
  end if
  if (oBioNavCenter <> EMPTY) and (oBioNavCenter <> VOID) then
    moveBioNavCenter(oBioNavCenter)
  end if
  if (oRollText <> EMPTY) and (oRollText <> VOID) then
    blendRollText(oRollText)
  end if
  if (oExitButton <> EMPTY) and (oExitButton <> VOID) then
    checkExit(oExitButton)
  end if
  if (oBackButton <> EMPTY) and (oBackButton <> VOID) then
    checkBack(oBackButton)
  end if
  repeat with i = 1 to count(oLetterSparks)
    oLetterSparks[i].moveObj()
  end repeat
  repeat with i = 1 to count(oLetters)
    oLetters[i].moveLetter()
  end repeat
  repeat with i = 1 to count(oTextAnim)
    animText(oTextAnim[i])
  end repeat
  gPrevMouseLoc = the mouseLoc
  if gSubNavState = 1 then
    repeat with i = 1 to 3
      createLetters()
    end repeat
  end if
  if (oVolMeter <> EMPTY) and (oVolMeter <> VOID) then
    checkVolMeter(oVolMeter)
  end if
  checkVolMouse()
  if (oDrawStage <> EMPTY) and (oDrawStage <> VOID) then
    oDrawStage.mainLoop()
  end if
  if gCloseWinFlag = 1 then
    setUpAudio()
    oDrawStage.pPunchFlag = 0
    gCloseWinFlag = 0
  end if
  go(the frame)
end
