property pMyPoint, pMinRadius, pRadius, pRotateVel, pMyState, pMyImage, pWidth, pHeight, pMyRect
global gStageCenter, oWallObjs, gStageRect, oOrbitNodes, oOrbitCenter, oRollText, gMenuNum, gScreenNum, oBioNavCenter, oBioNavNodes, gBioNavNum

on new me
  pMyImage = member("bio_navCenter").image.duplicate()
  pWidth = pMyImage.width
  pHeight = pMyImage.height
  pMyRect = pMyImage.rect
  pMyPoint = point(120, 350)
  pMinRadius = 60
  pRadius = pMinRadius
  pRotateVel = 10
  pMyState = #idle
  return me
end

on moveBioNavCenter me
  case pMyState of
    #birth:
    #idle:
    #roll:
      rollFlag = 0
      repeat with i = 1 to count(oBioNavNodes)
        if (the mouseLoc).inside(oBioNavNodes[i].pMyRect) then
          rollFlag = 1
        end if
      end repeat
      if rollFlag = 0 then
        repeat with i = 1 to count(oBioNavNodes)
          oBioNavNodes[i].pMyState = #idle
        end repeat
        oBioNavCenter.pMyState = #idle
        gBioNavNum = EMPTY
        if sound(3).status <> 0 then
          sound(3).stop()
        end if
        sound(4).setPlayList([])
        cursor(0)
      end if
    #spin:
    #exit:
  end case
end
