property pMyListPosition, pWidth, pHeight, pMyRect, pAngle, pMyState, pMyPoint, pMyImage, pObjLoc, pPrevObjLoc, pBlendLevel, pTargetAngle
global oBioNavCenter, gScreenNum, oBioNavNodes, oOrbitNodes, gBioNavNum, gMenuNum, gSubNavState, oLetters

on new me, listPosition
  pMyListPosition = listPosition
  case pMyListPosition of
    1:
      pAngle = 270
      pMyImage = member("bio_button1").image.duplicate()
    2:
      pAngle = 0
      pMyImage = member("bio_button2").image.duplicate()
    3:
      pAngle = 90
      pMyImage = member("bio_button3").image.duplicate()
    4:
      pAngle = 180
      pMyImage = member("bio_button4").image.duplicate()
  end case
  pWidth = pMyImage.width
  pHeight = pMyImage.height
  pMyPoint = orbitObj(oBioNavCenter.pMyPoint[1], oBioNavCenter.pMyPoint[2], pAngle, oBioNavCenter.pRadius)
  pMyRect = rect(pMyPoint[1] - (pWidth / 2), pMyPoint[2] - (pHeight / 2), pMyPoint[1] + (pWidth / 2), pMyPoint[2] + (pHeight / 2))
  pObjLoc = pMyRect
  pPrevObjLoc = pObjLoc.duplicate()
  pMyState = #idle
  pBlendLevel = 100
  pTargetAngle = EMPTY
  return me
end

on moveNavButtons me
  case pMyState of
    #birth:
      pAngle = pAngle + oBioNavCenter.pRotateVel
      if pAngle = 360 then
        pAngle = 0
      end if
      if (pAngle = pTargetAngle) and (oBioNavCenter.pRadius >= oBioNavCenter.pMinRadius) then
        pMyState = #idle
      end if
      pMyPoint = orbitObj(oBioNavCenter.pMyPoint[1], oBioNavCenter.pMyPoint[2], pAngle, oBioNavCenter.pRadius)
      pMyRect = rect(pMyPoint[1] - (pWidth / 2), pMyPoint[2] - (pHeight / 2), pMyPoint[1] + (pWidth / 2), pMyPoint[2] + (pHeight / 2))
      pPrevObjLoc = pObjLoc.duplicate()
      pObjLoc = pMyRect
    #idle:
      if (the mouseLoc).inside(pMyRect) then
        gBioNavNum = pMyListPosition
        gMenuNum = EMPTY
        repeat with i = 1 to count(oBioNavNodes)
          oBioNavNodes[i].pMyState = #roll
        end repeat
        oBioNavCenter.pMyState = #roll
        sound(3).play(member("nav_bio_roll"))
        sound(4).queue([#member: member("nav_bio_down")])
      end if
    #roll:
      if (the mouseLoc).inside(pMyRect) then
        gBioNavNum = pMyListPosition
        gMenuNum = EMPTY
      end if
      cursor(280)
    #spin:
      if pAngle = pTargetAngle then
        repeat with i = 1 to count(oBioNavNodes)
          oBioNavNodes[i].pMyState = #idle
        end repeat
        gSubNavState = 1
        oLetters = []
        sound(5).fadeOut(500)
        exit
      end if
      oLetters = []
      pAngle = pAngle + oBioNavCenter.pRotateVel
      if pAngle >= 360 then
        pAngle = 0
      end if
      pMyPoint = orbitObj(oBioNavCenter.pMyPoint[1], oBioNavCenter.pMyPoint[2], pAngle, oBioNavCenter.pRadius)
      pMyRect = rect(pMyPoint[1] - (pWidth / 2), pMyPoint[2] - (pHeight / 2), pMyPoint[1] + (pWidth / 2), pMyPoint[2] + (pHeight / 2))
      pPrevObjLoc = pObjLoc.duplicate()
      pObjLoc = pMyRect
    #exit:
      pAngle = pAngle + oBioNavCenter.pRotateVel
      pMyPoint = orbitObj(oBioNavCenter.pMyPoint[1], oBioNavCenter.pMyPoint[2], pAngle, oBioNavCenter.pRadius)
      pMyRect = rect(pMyPoint[1] - (pWidth / 2), pMyPoint[2] - (pHeight / 2), pMyPoint[1] + (pWidth / 2), pMyPoint[2] + (pHeight / 2))
      pPrevObjLoc = pObjLoc.duplicate()
      pObjLoc = pMyRect
      if pBlendLevel > 0 then
        pBlendLevel = pBlendLevel - 5
      end if
  end case
end
